import { Message } from 'eris';
import { Client, Command } from '../class';

export default class Ping extends Command {
  constructor(client: Client) {
    super(client);
    this.name = 'ping';
    this.description = 'Pings the bot';
    this.usage = 'ping';
    this.permissions = 0;
    this.enabled = true;
  }

  public async run(message: Message) {
    try {
      const clientStart: number = Date.now();
      const msg: Message = await message.channel.createMessage('🏓 Pong!');
      msg.edit(`🏓 Pong!\nClient: \`${Date.now() - clientStart}ms\`\nResponse: \`${msg.createdAt - message.createdAt}ms\``);
    } catch (err) {
      this.client.util.handleError(err, message, this);
    }
  }
}
